ods html close;

libname data 'C:\';
%let gpath='C:\';
%let dpi=100;

ods listing style=htmlblue gpath = &gpath image_dpi=&dpi;

proc sort data=data.schematic out=schematic;
  by segment station;
  run;

data schematic_B;
  set schematic (keep=segment station param_b param_b_);
  if strip(param_b_) eq 'I' then param_b_ = ' ';
  run;
/*proc print;run;*/

proc template;
  define statgraph schematic;
    dynamic _anno;
    begingraph;
      entrytitle 'Distribution of Param B by BY Group';
      layout overlay / xaxisopts=(display=none);
	    boxplot x=station y=param_b / boxwidth=0.3;
		if (exists(_anno)) 
          scatterplot x=station y=param_b / markercharacter=eval(strip(param_b_)) 
                    discreteoffset=0.3 markercharacterattrs=(size=10 weight=bold);
		endif;
		innermargin;
		  blockplot x=station block=segment / filltype=alternate;
		  blockplot x=station block=station / filltype=alternate;
		endinnermargin;
	  endlayout;
	endgraph;
  end;
run;

ods graphics / reset width=5in height=3in imagename='schematic';
proc sgrender data=schematic_B template=schematic;
run;

ods graphics / reset width=5in height=3in imagename='schematicAnno';
proc sgrender data=schematic_B template=schematic;
  dynamic _anno='yes';
run;

